Name:           python-ckanext-dc-serve
Version:        1.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Serve DC on DCOR data via the CKAN API interface

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/DCOR-dev/ckanext-dc_serve
Source:         %{pypi_source ckanext_dc_serve}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ckanext-dc-serve' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ckanext-dc-serve
Summary:        %{summary}

%description -n python3-ckanext-dc-serve %_description


%prep
%autosetup -p1 -n ckanext_dc_serve-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ckanext-dc-serve -f %{pyproject_files}


%changelog
%autochangelog